;----------------------------------------------------------------------------
; getray.lsp          Reid A. Miermaster & Gregg A. Nace
;----------------------------------------------------------------------------
(defun C:GETRAY (/ fname f txt pt)
(defun *error* (s)
  (if f (setq f (close f)))
  (foreach x '(f fname txt pt *error*) (set x nil))
  (gc)
  (princ)
)
(setvar "cmdecho" 0)
(setvar "blipmode" 0)
(command "limits" "off" "vpoint" "-1,-1,1")
(setq fname (strcat (getstring "\nEnter Ray Filename without extension: ")".ray"))
(setq num 1)
(if (setq f (open fname "r"))
 (progn
  (repeat 4 (read-line f))
  (while
    (progn
      (setq txt (read-line f))
      (/= (substr txt 1 1) "{")
    )
    (setq pt (read (strcat "(" txt ")")))
    (if pt
      (progn
        (command "3dface" pt)
        (while
          (progn
            (setq txt (read-line f))
            (setq pt (read (strcat "(" txt ")")))
          )
          (command pt)
          (cond
            ((= num 1)(princ "\rWorking... \\  "))
            ((= num 2)(princ "\rWorking... |  "))
            ((= num 3)(princ "\rWorking... /  "))
            ((= num 4)(princ "\rWorking... -  "))
            ((= num 5)(setq num 0))
          )
          (setq num (1+ num))
        )
        (command "" "")
      )
    )
  )
  (princ "\nDone!")
  (command "zoom" "e")
 )
 (princ "\nFile not Found!")
)
(setq f (close f))
(*error* "")
)